| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions | Variables
jutils.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Macros
#define | JPEG_INTERNALS
#define | FMEMCOPY(dest, src, size) MEMCOPY(dest,src,size)
#define | FMEMZERO(target, size) MEMZERO(target,size)

## Functions
| jdiv_round_up (long a, long b)
| jround_up (long a, long b)
| jcopy_sample_rows (JSAMPARRAY input_array, int source_row, JSAMPARRAY output_array, int dest_row, int num_rows, JDIMENSION num_cols)
| jcopy_block_row (JBLOCKROW input_row, JBLOCKROW output_row, JDIMENSION num_blocks)
| jzero_far (void FAR *target, size_t bytestozero)

## Variables
const int | jpeg_natural_order [DCTSIZE2+16]

## Macro Definition Documentation

#define FMEMCOPY | ( |  | dest,
|  |  | src,
|  |  | size
| ) |  | MEMCOPY(dest,src,size)

Definition at line 100 of file jutils.c.

#define FMEMZERO | ( |  | target,
|  |  | size
| ) |  | MEMZERO(target,size)

Definition at line 101 of file jutils.c.

#define JPEG_INTERNALS

Definition at line 14 of file jutils.c.

## Function Documentation

jcopy_block_row | ( | JBLOCKROW | input_row,
|  | JBLOCKROW | output_row,
|  | JDIMENSION | num_blocks
| ) |  |

Definition at line 145 of file jutils.c.

jcopy_sample_rows | ( | JSAMPARRAY | input_array,
|  | int | source_row,
|  | JSAMPARRAY | output_array,
|  | int | dest_row,
|  | int | num_rows,
|  | JDIMENSION | num_cols
| ) |  |

Definition at line 111 of file jutils.c.

jdiv_round_up | ( | long | a,
|  | long | b
| ) |  |

Definition at line 72 of file jutils.c.

jround_up | ( | long | a,
|  | long | b
| ) |  |

Definition at line 81 of file jutils.c.

jzero_far | ( | void FAR * | target,
|  | size_t | bytestozero
| ) |  |

Definition at line 165 of file jutils.c.

## Variable Documentation

const int jpeg_natural_order[DCTSIZE2+16]

Initial value:
= {
0, 1, 8, 16, 9, 2, 3, 10,
17, 24, 32, 25, 18, 11, 4, 5,
12, 19, 26, 33, 40, 48, 41, 34,
27, 20, 13, 6, 7, 14, 21, 28,
35, 42, 49, 56, 57, 50, 43, 36,
29, 22, 15, 23, 30, 37, 44, 51,
58, 59, 52, 45, 38, 31, 39, 46,
53, 60, 61, 54, 47, 55, 62, 63,
63, 63, 63, 63, 63, 63, 63, 63,
63, 63, 63, 63, 63, 63, 63, 63
}

Definition at line 53 of file jutils.c.